package com.zhentao.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Time;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Rest implements Serializable {
//    @NotBlank(message = "应用不能为空")
//    private String appId;
//    @NotBlank(message = "签名不能为空")
//    private String sign;
//    @NotBlank(message = "时间戳不能为空")
//    @JsonSerialize(using = ToStringSerializer.class)
//    private Long reqTime;
//
//    @JsonFormat(shape= JsonFormat.Shape.STRING)
//    @NotBlank(message = "goodsId 不能为空")
//    private Integer goodsId;
//    @DecimalMin(value = "1",message = "最小值")
//    @NotBlank(message = "数量不能为空")
//    private Integer amoun;
//    @NotBlank(message = "goodsId 不能为空")
//    @DecimalMin(value = "0",message = "最小值0")
//    @DecimalMax(value = "9999",message = "最大值9999")
//    private BigDecimal price;
//
//
//    @NotBlank(message = "手机号不能为空")
//    @Pattern(regexp = "^((13[0-9])|(14[0-9])|(15([0-9]))|(166)|(17[0-9])|(18[0-9])|(19[0-9]))\\d{8}$",message ="手机号码格式错误")
//    private String mobile;
//    @NotBlank(message = "nowDate 不能为空")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8",shape = JsonFormat.Shape.STRING)
//    private Date nowDate;
@NotBlank(message = "appId不能为空")
private String appId;

    @NotBlank(message = "sign不能为空")
    private String sign;

    @NotBlank(message = "reqTime不能为空")
    private String reqTime;

    // 业务字段
    @NotBlank(message = "goodsId不能为空")
    private String goodsId;

    @NotNull(message = "amount不能为空")
    @Min(value = 1, message = "数量必须大于0")
    private Integer amount;

    @NotNull(message = "price不能为空")
    @DecimalMin(value = "0.01", message = "价格必须大于0")
    private BigDecimal price;

    @NotBlank(message = "mobile不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;

    @NotBlank(message = "nowDate不能为空")
    @Pattern(regexp = "^\\d{4}-\\d{2}-\\d{2}$", message = "日期格式应为yyyy-MM-dd")
    private String nowDate;
}
